This is the multi-page printable view of this section. Click here to print.

Return to the regular view of this page.

Security Group

Overview

Provides an Application Programming Interface (API) that supports programmatic use of IaaS/PaaS products provided by SCP. This guide provides a brief description of Security Group service and how to call API. The API is provided as a RESTful API, and it responds in JSON format.

Version

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionStatusNot Before
1.1CURRENT-
1.0SUPPORTED20270131

OpenAPI URL

https://security-group.{region}.{environment}.samsungsdscloud.com

Environment and Region List

environmentregion
skr-west1
skr-east1
gkr-south1
gkr-south2
gkr-south3
ekr-west1
ekr-east1

API Version History

1.1

API version 1.1 release for Security Group

Changes

  • [Changed] GET /v1/security-group-rules - API has been changed.
    • Response model has been changed to SecurityGroupRuleListResponseV1Dot1.
      • The following fields are added to the response.
      • remote_address_group_id, remote_address_group_name
  • [Changed] POST /v1/security-group-rules - API has been changed.
    • Request model has been changed to SecurityGroupRuleCreateRequestV1Dot1.
      • The following field is added to the request.
      • remote_address_group_id
    • Response model has been changed to SecurityGroupRuleShowResponseV1Dot1.
      • The following fields are added to the response.
      • remote_address_group_id, remote_address_group_name
  • [Changed] GET /v1/security-group-rules/{security_group_rule_id} - API has been changed.
    • Response model has been changed to SecurityGroupRuleShowResponseV1Dot1.
      • The following fields are added to the response.
      • remote_address_group_id, remote_address_group_name
  • [New] GET /v1/address-groups - API has been added.
  • [New] POST /v1/address-groups - API has been added.
  • [New] GET /v1/address-groups/{address_group_id} - API has been added.
  • [New] PUT /v1/address-groups/{address_group_id} - API has been added.
  • [New] DELETE /v1/address-groups/{address_group_id} - API has been added.
  • [New] GET /v1/address-groups/{address_group_id}/addresses - API has been added.
  • [New] PUT /v1/address-groups/{address_group_id}/add_addresses - API has been added.
  • [New] PUT /v1/address-groups/{address_group_id}/remove_addresses - API has been added.

1.0

Initial API release for Security Group

Changes

  • [New] GET /v1/security-groups - API has been added.
  • [New] POST /v1/security-groups - API has been added.
  • [New] SHOW /v1/security-groups/{security_group_id} - API has been added.
  • [New] PUT /v1/security-groups/{security_group_id} - API has been added.
  • [New] DELETE /v1/security-groups/{security_group_id} - API has been added.
  • [New] GET /v1/security-group-rules - API has been added.
  • [New] POST /v1/security-group-rules - API has been added.
  • [New] GET /v1/security-group-rules/{security_group_rule_id} - API has been added.
  • [New] DELETE /v1/security-group-rules/{security_group_rule_id} - API has been added.

1 - APIs

1.1 - Add Address Group IPs

1.1.1 - 1.1

put /v1/address-groups/{address_group_id}/add_addresses

Description

Add IP addresses to address group.

State ACTIVE (CURRENT)

VersionNot Before
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathaddress_group_id
required
Address Group ID
Example : 4b18494930bf4c5dbb97a9eb2ef68fe1
stringNone
bodybody
required

AddressGroupCidrsAddRequest

Responses

HTTP CodeDescriptionSchema
200OKAddressGroupCidrsAddRequest
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/address-groups/{address_group_id}/add_addresses

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = security-group 1.1"

Request body

{
    "addresses": [
        "10.1.1.1/32",
        "10.1.2.0/24",
        "10.1.3.0/24"
    ]
}

Example HTTP response

Response 200

{
    "addresses": [
        "10.1.1.1/32",
        "10.1.2.0/24",
        "10.1.3.0/24"
    ]
}

1.2 - Create Address Group

1.2.1 - 1.1

post /v1/address-groups

Description

Create Address Group.

State ACTIVE (CURRENT)

VersionNot Before
1.1-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

AddressGroupCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedAddressGroupShowResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
409ConflictNone

Example HTTP request

Request path

/v1/address-groups

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = security-group 1.1"

Request body

{
    "addresses": [
        "10.1.1.1/32",
        "10.1.2.0/24",
        "10.1.3.0/24"
    ],
    "description": "Example Description for Address Group",
    "name": "ExampleAG1",
    "tags": []
}

Example HTTP response

Response 201

{
    "address_group": {
        "account_id": "0e3dffc50eb247a1adf4f2e5c82c4f99",
        "address_count": 10,
        "address_limit": 1000,
        "addresses": [
            "10.1.1.1/32",
            "10.1.2.0/24",
            "10.1.3.0/24"
        ],
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "Example Description for Address Group",
        "id": "4b18494930bf4c5dbb97a9eb2ef68fe1",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "ExampleAG1",
        "state": "ACTIVE"
    }
}

1.3 - Create Security Group

1.3.1 - 1.1

post /v1/security-groups

Description

Create Security Group.

State ACTIVE (CURRENT)

VersionNot Before
1.1-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

SecurityGroupCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedSecurityGroupShowResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/security-groups

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = security-group 1.1"

Request body

{
    "description": "Example Description for Security Group",
    "loggable": false,
    "name": "ExampleSG1",
    "tags": []
}

Example HTTP response

Response 201

{
    "security_group": {
        "account_id": "0e3dffc50eb247a1adf4f2e5c82c4f99",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "Example Description for Security Group",
        "id": "06e5d676-f330-485a-94e9-47ac91cce09a",
        "loggable": false,
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "ExampleSG1",
        "rule_count": 200,
        "state": "ACTIVE"
    }
}

1.3.2 - 1.0

post /v1/security-groups

Description

Create Security Group.

State ACTIVE (SUPPORTED)

VersionNot Before
1.020270131

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

SecurityGroupCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedSecurityGroupShowResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/security-groups

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = security-group 1.0"

Request body

{
    "description": "Example Description for Security Group",
    "loggable": false,
    "name": "ExampleSG1",
    "tags": []
}

Example HTTP response

Response 201

{
    "security_group": {
        "account_id": "0e3dffc50eb247a1adf4f2e5c82c4f99",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "Example Description for Security Group",
        "id": "06e5d676-f330-485a-94e9-47ac91cce09a",
        "loggable": false,
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "ExampleSG1",
        "rule_count": 200,
        "state": "ACTIVE"
    }
}

1.4 - Create Security Group Rule

1.4.1 - 1.1

post /v1/security-group-rules

Description

Create Security Group rule.

State ACTIVE (CURRENT)

VersionNot Before
1.1-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

SecurityGroupRuleCreateRequestV1Dot1

Responses

HTTP CodeDescriptionSchema
201CreatedSecurityGroupRuleShowResponseV1Dot1
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/security-group-rules

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = security-group 1.1"

Request body

{
    "description": "Example Description for Security Group Rule",
    "direction": "Ingress",
    "ethertype": "IPv4",
    "port_range_max": 22,
    "port_range_min": 22,
    "protocol": "TCP",
    "remote_address_group_id": "4b18494930bf4c5dbb97a9eb2ef68fe1",
    "remote_group_id": "06e5d676-f330-485a-94e9-47ac91cce09a",
    "remote_ip_prefix": "1.1.1.1/32",
    "security_group_id": "06e5d676-f330-485a-94e9-47ac91cce09a"
}

Example HTTP response

Response 201

{
    "security_group_rule": {
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "Example Description for Security Group Rule",
        "direction": "Ingress",
        "ethertype": "IPv4",
        "id": "10d8250e-f4eb-453a-96af-b50b5b514a1a",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "port_range_max": 22,
        "port_range_min": 22,
        "protocol": "TCP",
        "remote_address_group_id": "4b18494930bf4c5dbb97a9eb2ef68fe1",
        "remote_address_group_name": "ExampleAG1",
        "remote_group_id": "06e5d676-f330-485a-94e9-47ac91cce09a",
        "remote_group_name": "ExampleSG2",
        "remote_ip_prefix": "1.1.1.1/32",
        "security_group_id": "06e5d676-f330-485a-94e9-47ac91cce09a"
    }
}

1.4.2 - 1.0

post /v1/security-group-rules

Description

Create Security Group rule.

State ACTIVE (SUPPORTED)

VersionNot Before
1.020270131

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

SecurityGroupRuleCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedSecurityGroupRuleShowResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/security-group-rules

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = security-group 1.0"

Request body

{
    "description": "Example Description for Security Group Rule",
    "direction": "Ingress",
    "ethertype": "IPv4",
    "port_range_max": 22,
    "port_range_min": 22,
    "protocol": "TCP",
    "remote_group_id": "06e5d676-f330-485a-94e9-47ac91cce09a",
    "remote_ip_prefix": "1.1.1.1/32",
    "security_group_id": "06e5d676-f330-485a-94e9-47ac91cce09a"
}

Example HTTP response

Response 201

{
    "security_group_rule": {
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "Example Description for Security Group Rule",
        "direction": "Ingress",
        "ethertype": "IPv4",
        "id": "10d8250e-f4eb-453a-96af-b50b5b514a1a",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "port_range_max": 22,
        "port_range_min": 22,
        "protocol": "TCP",
        "remote_group_id": "06e5d676-f330-485a-94e9-47ac91cce09a",
        "remote_group_name": "ExampleSG2",
        "remote_ip_prefix": "1.1.1.1/32",
        "security_group_id": "06e5d676-f330-485a-94e9-47ac91cce09a"
    }
}

1.5 - Delete Address Group

1.5.1 - 1.1

delete /v1/address-groups/{address_group_id}

Description

Delete Address Group.

State ACTIVE (CURRENT)

VersionNot Before
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathaddress_group_id
required
Address Group ID
Example : 4b18494930bf4c5dbb97a9eb2ef68fe1
stringNone

Responses

HTTP CodeDescriptionSchema
204No ContentNone
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/address-groups/{address_group_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = security-group 1.1"

Example HTTP response

Response 204

1.6 - Delete Security Group

1.6.1 - 1.1

delete /v1/security-groups/{security_group_id}

Description

Delete Security Group.

State ACTIVE (CURRENT)

VersionNot Before
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathsecurity_group_id
required
Security Group ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
204No ContentNone
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/security-groups/{security_group_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = security-group 1.1"

Example HTTP response

Response 204

1.6.2 - 1.0

delete /v1/security-groups/{security_group_id}

Description

Delete Security Group.

State ACTIVE (SUPPORTED)

VersionNot Before
1.020270131

Parameters

TypeNameDescriptionSchemaDefault
pathsecurity_group_id
required
Security Group ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
204No ContentNone
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/security-groups/{security_group_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = security-group 1.0"

Example HTTP response

Response 204

1.7 - Delete Security Group Rule

1.7.1 - 1.1

delete /v1/security-group-rules/{security_group_rule_id}

Description

Delete Security Group rule.

State ACTIVE (CURRENT)

VersionNot Before
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathsecurity_group_rule_id
required
Security Group Rule ID
Example : 10d8250e-f4eb-453a-96af-b50b5b514a1a
stringNone

Responses

HTTP CodeDescriptionSchema
204No ContentNone
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/security-group-rules/{security_group_rule_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = security-group 1.1"

Example HTTP response

Response 204

1.7.2 - 1.0

delete /v1/security-group-rules/{security_group_rule_id}

Description

Delete Security Group rule.

State ACTIVE (SUPPORTED)

VersionNot Before
1.020270131

Parameters

TypeNameDescriptionSchemaDefault
pathsecurity_group_rule_id
required
Security Group Rule ID
Example : 10d8250e-f4eb-453a-96af-b50b5b514a1a
stringNone

Responses

HTTP CodeDescriptionSchema
204No ContentNone
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/security-group-rules/{security_group_rule_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = security-group 1.0"

Example HTTP response

Response 204

1.8 - List Address Group IPs

1.8.1 - 1.1

get /v1/address-groups/{address_group_id}/addresses

Description

Get Address Group IP list.

State ACTIVE (CURRENT)

VersionNot Before
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathaddress_group_id
required
Address Group ID
Example : 4b18494930bf4c5dbb97a9eb2ef68fe1
stringNone
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryaddress
optional
Address Group IP Address
Example : 10.1.1.1/32
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKAddressGroupCidrListResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/address-groups/{address_group_id}/addresses

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = security-group 1.1"

Example HTTP response

Response 200

{
    "addresses": [
        "10.1.1.1/32",
        "10.1.2.0/24",
        "10.1.3.0/24"
    ],
    "count": 20,
    "links": [
        {
            "href": "http://scp.samsungsdscloud.com/v1/notices",
            "rel": "self"
        }
    ]
}

1.9 - List Address Groups

1.9.1 - 1.1

get /v1/address-groups

Description

Get Address Group list.

State ACTIVE (CURRENT)

VersionNot Before
1.1-

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryid
optional
Address Group ID
Example : 4b18494930bf4c5dbb97a9eb2ef68fe1
stringNone
queryname
optional
Address Group Name
Example : ExampleAG1
stringNone

Responses

HTTP CodeDescriptionSchema
200OKAddressGroupListResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/address-groups

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = security-group 1.1"

Example HTTP response

Response 200

{
    "address_groups": [
        {
            "account_id": "0e3dffc50eb247a1adf4f2e5c82c4f99",
            "address_count": 10,
            "address_limit": 1000,
            "addresses": [
                "10.1.1.1/32",
                "10.1.2.0/24",
                "10.1.3.0/24"
            ],
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "description": "Example Description for Address Group",
            "id": "4b18494930bf4c5dbb97a9eb2ef68fe1",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "name": "ExampleAG1",
            "state": "ACTIVE"
        }
    ],
    "count": 20,
    "links": [
        {
            "href": "http://scp.samsungsdscloud.com/v1/notices",
            "rel": "self"
        }
    ]
}

1.10 - List Security Group Rules

1.10.1 - 1.1

get /v1/security-group-rules

Description

Get Security Group rule list.

State ACTIVE (CURRENT)

VersionNot Before
1.1-

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryid
optional
Security Group Rule ID
Example : 10d8250e-f4eb-453a-96af-b50b5b514a1a
stringNone
querysecurity_group_id
required
Security Group ID
Example : 06e5d676-f330-485a-94e9-47ac91cce09a
stringNone
queryremote_ip_prefix
optional
Security Group Rule Remote IP Address
Example : 1.1.1.1/32
stringNone
queryremote_group_id
optional
Security Group Rule Remote Group ID
Example : 06e5d676-f330-485a-94e9-47ac91cce09a
stringNone
querydescription
optional
Security Group Rule Description
Example : Example Description for Security Group Rule
stringNone
querydirection
optional
Security Group Rule Direction (Ingress, Egress)
Example : Ingress
stringNone
queryservice
optional
Security Group Rule Service
Example : TCP 22
stringNone

Responses

HTTP CodeDescriptionSchema
200OKSecurityGroupRuleListResponseV1Dot1
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/security-group-rules?security_group_id={security_group_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = security-group 1.1"

Example HTTP response

Response 200

{
    "count": 20,
    "links": [
        {
            "href": "http://scp.samsungsdscloud.com/v1/notices",
            "rel": "self"
        }
    ],
    "security_group_rules": [
        {
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "description": "Example Description for Security Group Rule",
            "direction": "Ingress",
            "ethertype": "IPv4",
            "id": "10d8250e-f4eb-453a-96af-b50b5b514a1a",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "port_range_max": 22,
            "port_range_min": 22,
            "protocol": "TCP",
            "remote_address_group_id": "4b18494930bf4c5dbb97a9eb2ef68fe1",
            "remote_address_group_name": "ExampleAG1",
            "remote_group_id": "06e5d676-f330-485a-94e9-47ac91cce09a",
            "remote_group_name": "ExampleSG2",
            "remote_ip_prefix": "1.1.1.1/32",
            "security_group_id": "06e5d676-f330-485a-94e9-47ac91cce09a"
        }
    ]
}

1.10.2 - 1.0

get /v1/security-group-rules

Description

Get Security Group rule list.

State ACTIVE (SUPPORTED)

VersionNot Before
1.020270131

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryid
optional
Security Group Rule ID
Example : 10d8250e-f4eb-453a-96af-b50b5b514a1a
stringNone
querysecurity_group_id
required
Security Group ID
Example : 06e5d676-f330-485a-94e9-47ac91cce09a
stringNone
queryremote_ip_prefix
optional
Security Group Rule Remote IP Address
Example : 1.1.1.1/32
stringNone
queryremote_group_id
optional
Security Group Rule Remote Group ID
Example : 06e5d676-f330-485a-94e9-47ac91cce09a
stringNone
querydescription
optional
Security Group Rule Description
Example : Example Description for Security Group Rule
stringNone
querydirection
optional
Security Group Rule Direction (Ingress, Egress)
Example : Ingress
stringNone
queryservice
optional
Security Group Rule Service
Example : TCP 22
stringNone

Responses

HTTP CodeDescriptionSchema
200OKSecurityGroupRuleListResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/security-group-rules?security_group_id={security_group_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = security-group 1.0"

Example HTTP response

Response 200

{
    "count": 20,
    "links": [
        {
            "href": "http://scp.samsungsdscloud.com/v1/notices",
            "rel": "self"
        }
    ],
    "security_group_rules": [
        {
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "description": "Example Description for Security Group Rule",
            "direction": "Ingress",
            "ethertype": "IPv4",
            "id": "10d8250e-f4eb-453a-96af-b50b5b514a1a",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "port_range_max": 22,
            "port_range_min": 22,
            "protocol": "TCP",
            "remote_group_id": "06e5d676-f330-485a-94e9-47ac91cce09a",
            "remote_group_name": "ExampleSG2",
            "remote_ip_prefix": "1.1.1.1/32",
            "security_group_id": "06e5d676-f330-485a-94e9-47ac91cce09a"
        }
    ]
}

1.11 - List Security Groups

1.11.1 - 1.1

get /v1/security-groups

Description

Get Security Group list.

State ACTIVE (CURRENT)

VersionNot Before
1.1-

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryid
optional
Security Group ID
Example :
stringNone
queryname
optional
Security Group Name
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKSecurityGroupListResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/security-groups

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = security-group 1.1"

Example HTTP response

Response 200

{
    "count": 20,
    "links": [
        {
            "href": "http://scp.samsungsdscloud.com/v1/notices",
            "rel": "self"
        }
    ],
    "security_groups": [
        {
            "account_id": "0e3dffc50eb247a1adf4f2e5c82c4f99",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "description": "Example Description for Security Group",
            "id": "06e5d676-f330-485a-94e9-47ac91cce09a",
            "loggable": false,
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "name": "ExampleSG1",
            "rule_count": 200,
            "state": "ACTIVE"
        }
    ]
}

1.11.2 - 1.0

get /v1/security-groups

Description

Get Security Group list.

State ACTIVE (SUPPORTED)

VersionNot Before
1.020270131

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryid
optional
Security Group ID
Example :
stringNone
queryname
optional
Security Group Name
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKSecurityGroupListResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/security-groups

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = security-group 1.0"

Example HTTP response

Response 200

{
    "count": 20,
    "links": [
        {
            "href": "http://scp.samsungsdscloud.com/v1/notices",
            "rel": "self"
        }
    ],
    "security_groups": [
        {
            "account_id": "0e3dffc50eb247a1adf4f2e5c82c4f99",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "description": "Example Description for Security Group",
            "id": "06e5d676-f330-485a-94e9-47ac91cce09a",
            "loggable": false,
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "name": "ExampleSG1",
            "rule_count": 200,
            "state": "ACTIVE"
        }
    ]
}

1.12 - Remove Address Group IPs

1.12.1 - 1.1

put /v1/address-groups/{address_group_id}/remove_addresses

Description

Remove IP addresses to address group.

State ACTIVE (CURRENT)

VersionNot Before
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathaddress_group_id
required
Address Group ID
Example : 4b18494930bf4c5dbb97a9eb2ef68fe1
stringNone
bodybody
required

AddressGroupCidrsAddRequest

Responses

HTTP CodeDescriptionSchema
200OKAddressGroupCidrsAddRequest
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/address-groups/{address_group_id}/remove_addresses

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = security-group 1.1"

Request body

{
    "addresses": [
        "10.1.1.1/32",
        "10.1.2.0/24",
        "10.1.3.0/24"
    ]
}

Example HTTP response

Response 200

{
    "addresses": [
        "10.1.1.1/32",
        "10.1.2.0/24",
        "10.1.3.0/24"
    ]
}

1.13 - Set Address Group

1.13.1 - 1.1

put /v1/address-groups/{address_group_id}

Description

Set Address Group.

State ACTIVE (CURRENT)

VersionNot Before
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathaddress_group_id
required
Address Group ID
Example : 4b18494930bf4c5dbb97a9eb2ef68fe1
stringNone
bodybody
required

AddressGroupSetRequest

Responses

HTTP CodeDescriptionSchema
200OKNone
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/address-groups/{address_group_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = security-group 1.1"

Request body

{
    "description": "Example Description for Address Group"
}

Example HTTP response

Response 200

1.14 - Set Security Group

1.14.1 - 1.1

put /v1/security-groups/{security_group_id}

Description

Set Security Group.

State ACTIVE (CURRENT)

VersionNot Before
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathsecurity_group_id
required
Security Group ID
Example :
stringNone
bodybody
required

SecurityGroupSetRequest

Responses

HTTP CodeDescriptionSchema
200OKNone
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/security-groups/{security_group_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = security-group 1.1"

Request body

{
    "description": "Example Description for Security Group",
    "loggable": false
}

Example HTTP response

Response 200

1.14.2 - 1.0

put /v1/security-groups/{security_group_id}

Description

Set Security Group.

State ACTIVE (SUPPORTED)

VersionNot Before
1.020270131

Parameters

TypeNameDescriptionSchemaDefault
pathsecurity_group_id
required
Security Group ID
Example :
stringNone
bodybody
required

SecurityGroupSetRequest

Responses

HTTP CodeDescriptionSchema
200OKNone
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/security-groups/{security_group_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = security-group 1.0"

Request body

{
    "description": "Example Description for Security Group",
    "loggable": false
}

Example HTTP response

Response 200

1.15 - Show Address Group

1.15.1 - 1.1

get /v1/address-groups/{address_group_id}

Description

Show Address Group.

State ACTIVE (CURRENT)

VersionNot Before
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathaddress_group_id
required
Address Group ID
Example : 4b18494930bf4c5dbb97a9eb2ef68fe1
stringNone

Responses

HTTP CodeDescriptionSchema
200OKAddressGroupShowResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/address-groups/{address_group_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = security-group 1.1"

Example HTTP response

Response 200

{
    "address_group": {
        "account_id": "0e3dffc50eb247a1adf4f2e5c82c4f99",
        "address_count": 10,
        "address_limit": 1000,
        "addresses": [
            "10.1.1.1/32",
            "10.1.2.0/24",
            "10.1.3.0/24"
        ],
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "Example Description for Address Group",
        "id": "4b18494930bf4c5dbb97a9eb2ef68fe1",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "ExampleAG1",
        "state": "ACTIVE"
    }
}

1.16 - Show Security Group

1.16.1 - 1.1

get /v1/security-groups/{security_group_id}

Description

Show Security Group.

State ACTIVE (CURRENT)

VersionNot Before
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathsecurity_group_id
required
Security Group ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKSecurityGroupShowResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/security-groups/{security_group_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = security-group 1.1"

Example HTTP response

Response 200

{
    "security_group": {
        "account_id": "0e3dffc50eb247a1adf4f2e5c82c4f99",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "Example Description for Security Group",
        "id": "06e5d676-f330-485a-94e9-47ac91cce09a",
        "loggable": false,
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "ExampleSG1",
        "rule_count": 200,
        "state": "ACTIVE"
    }
}

1.16.2 - 1.0

get /v1/security-groups/{security_group_id}

Description

Show Security Group.

State ACTIVE (SUPPORTED)

VersionNot Before
1.020270131

Parameters

TypeNameDescriptionSchemaDefault
pathsecurity_group_id
required
Security Group ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKSecurityGroupShowResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/security-groups/{security_group_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = security-group 1.0"

Example HTTP response

Response 200

{
    "security_group": {
        "account_id": "0e3dffc50eb247a1adf4f2e5c82c4f99",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "Example Description for Security Group",
        "id": "06e5d676-f330-485a-94e9-47ac91cce09a",
        "loggable": false,
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "ExampleSG1",
        "rule_count": 200,
        "state": "ACTIVE"
    }
}

1.17 - Show Security Group Rule

1.17.1 - 1.1

get /v1/security-group-rules/{security_group_rule_id}

Description

Show Security Group rule.

State ACTIVE (CURRENT)

VersionNot Before
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathsecurity_group_rule_id
required
Security Group Rule ID
Example : 10d8250e-f4eb-453a-96af-b50b5b514a1a
stringNone
queryfields
optional
Field Name
Example :
any of [array[object], string, null]None

Responses

HTTP CodeDescriptionSchema
200OKSecurityGroupRuleShowResponseV1Dot1
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/security-group-rules/{security_group_rule_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = security-group 1.1"

Example HTTP response

Response 200

{
    "security_group_rule": {
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "Example Description for Security Group Rule",
        "direction": "Ingress",
        "ethertype": "IPv4",
        "id": "10d8250e-f4eb-453a-96af-b50b5b514a1a",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "port_range_max": 22,
        "port_range_min": 22,
        "protocol": "TCP",
        "remote_address_group_id": "4b18494930bf4c5dbb97a9eb2ef68fe1",
        "remote_address_group_name": "ExampleAG1",
        "remote_group_id": "06e5d676-f330-485a-94e9-47ac91cce09a",
        "remote_group_name": "ExampleSG2",
        "remote_ip_prefix": "1.1.1.1/32",
        "security_group_id": "06e5d676-f330-485a-94e9-47ac91cce09a"
    }
}

1.17.2 - 1.0

get /v1/security-group-rules/{security_group_rule_id}

Description

Show Security Group rule.

State ACTIVE (SUPPORTED)

VersionNot Before
1.020270131

Parameters

TypeNameDescriptionSchemaDefault
pathsecurity_group_rule_id
required
Security Group Rule ID
Example : 10d8250e-f4eb-453a-96af-b50b5b514a1a
stringNone
queryfields
optional
Field Name
Example :
any of [array[object], string, null]None

Responses

HTTP CodeDescriptionSchema
200OKSecurityGroupRuleShowResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/security-group-rules/{security_group_rule_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = security-group 1.0"

Example HTTP response

Response 200

{
    "security_group_rule": {
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "Example Description for Security Group Rule",
        "direction": "Ingress",
        "ethertype": "IPv4",
        "id": "10d8250e-f4eb-453a-96af-b50b5b514a1a",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "port_range_max": 22,
        "port_range_min": 22,
        "protocol": "TCP",
        "remote_group_id": "06e5d676-f330-485a-94e9-47ac91cce09a",
        "remote_group_name": "ExampleSG2",
        "remote_ip_prefix": "1.1.1.1/32",
        "security_group_id": "06e5d676-f330-485a-94e9-47ac91cce09a"
    }
}

2 - Models

2.1 - AddressGroup

NameDescriptionSchemaDefault
account_id
required
Account ID
Example : 0e3dffc50eb247a1adf4f2e5c82c4f99
string
address_count
optional
Address Group Address Count
Example : 10
integer
address_limit
required
Address Group Address Limit
Example : 1000
integer
addresses
required
Address Group IP Address
Example : ['10.1.1.1/32', '10.1.2.0/24', '10.1.3.0/24']
array[string]
created_at
required
Created At
Example : 2024-05-17T00:23:17Z
string (date-time)
created_by
required
Created By
Example : 90dddfc2b1e04edba54ba2b41539a9ac
string
description
required
Description
Example : Example Description for Address Group
any of [string, null]
id
required
Address Group ID
Example : 4b18494930bf4c5dbb97a9eb2ef68fe1
string
modified_at
required
Modified At
Example : 2024-05-17T00:23:17Z
string (date-time)
modified_by
required
Modified By
Example : 90dddfc2b1e04edba54ba2b41539a9ac
string
name
required
Address Group Name
Example : ExampleAG1
string
state
required
Address Group State
Example : ACTIVE
string

2.2 - AddressGroupCidrListResponse

NameDescriptionSchemaDefault
addresses
required
Address Group IP Address List
Example : ['10.1.1.1/32', '10.1.2.0/24', '10.1.3.0/24']
array[string]
count
optional
total count
Example : 20
any of [integer, null]
links
optional
links
Example : [{'href': 'http://scp.samsungsdscloud.com/v1/notices', 'rel': 'self'}]
any of [array[object], null]

2.3 - AddressGroupCidrsAddRequest

NameDescriptionSchemaDefault
addresses
required
Address Group IP Address List
Example : ['10.1.1.1/32', '10.1.2.0/24', '10.1.3.0/24']
array[string]

2.4 - AddressGroupCreateRequest

NameDescriptionSchemaDefault
addresses
optional
Address Group IP Address
Example : ['10.1.1.1/32', '10.1.2.0/24', '10.1.3.0/24']
any of [array[string], null]
description
optional
Address Group Description
Example : Example Description for Address Group
any of [string, null]
name
required
Address Group Name
Example : ExampleAG1
string
tags
optional
Tag List
array[Tag]

2.5 - AddressGroupListResponse

NameDescriptionSchemaDefault
address_groups
required

array[AddressGroup]
count
optional
total count
Example : 20
any of [integer, null]
links
optional
links
Example : [{'href': 'http://scp.samsungsdscloud.com/v1/notices', 'rel': 'self'}]
any of [array[object], null]

2.6 - AddressGroupSetRequest

NameDescriptionSchemaDefault
description
optional
Address Group Description
Example : Example Description for Address Group
any of [string, null]

2.7 - AddressGroupShowResponse

NameDescriptionSchemaDefault
address_group
required

AddressGroup

2.8 - SecurityGroup

NameDescriptionSchemaDefault
account_id
required
Security Group Account ID
Example : 0e3dffc50eb247a1adf4f2e5c82c4f99
string
created_at
required
Created At
Example : 2024-05-17T00:23:17Z
string (date-time)
created_by
required
Created By
Example : 90dddfc2b1e04edba54ba2b41539a9ac
string
description
required
Security Group Description
Example : Example Description for Security Group
any of [string, null]
id
required
Security Group ID
Example : 06e5d676-f330-485a-94e9-47ac91cce09a
string
loggable
required
Security Group Loggable
Example : False
boolean
modified_at
required
Modified At
Example : 2024-05-17T00:23:17Z
string (date-time)
modified_by
required
Modified By
Example : 90dddfc2b1e04edba54ba2b41539a9ac
string
name
required
Security Group Name
Example : ExampleSG1
string
rule_count
optional
Security Group Rule Count
Example : 200
integer
state
required
Security Group State
Example : ACTIVE
string

2.9 - SecurityGroupCreateRequest

NameDescriptionSchemaDefault
description
optional
Security Group Description
Example : Example Description for Security Group
any of [string, null]
loggable
optional
Security Group Loggable
Example : False
any of [boolean, null]
name
required
Security Group Name
Example : ExampleSG1
Maximum length : 255
string
tags
optional
Tag List
array[Tag]

2.10 - SecurityGroupListResponse

NameDescriptionSchemaDefault
count
optional
total count
Example : 20
any of [integer, null]
links
optional
links
Example : [{'href': 'http://scp.samsungsdscloud.com/v1/notices', 'rel': 'self'}]
any of [array[object], null]
security_groups
required

array[SecurityGroup]

2.11 - SecurityGroupRule

NameDescriptionSchemaDefault
created_at
required
Created At
Example : 2024-05-17T00:23:17Z
string (date-time)
created_by
required
Created By
Example : 90dddfc2b1e04edba54ba2b41539a9ac
string
description
required
Security Group Rule Description
Example : Example Description for Security Group Rule
any of [string, null]
direction
required
Security Group Rule Direction (Ingress, Egress)
Example : Ingress
enum (ingress, egress)
ethertype
optional
Security Group Rule Ethertype (IPV4)
Example : IPv4
any of [string, null]IPv4
id
required
Security Group Rule ID
Example : 10d8250e-f4eb-453a-96af-b50b5b514a1a
string
modified_at
required
Modified At
Example : 2024-05-17T00:23:17Z
string (date-time)
modified_by
required
Modified By
Example : 90dddfc2b1e04edba54ba2b41539a9ac
string
port_range_max
required
Security Group Rule Maximum Port Number(None/1-65535). For ICMP and IP Protocol, None
Example : 22
any of [integer, null]
port_range_min
required
Security Group Rule Minimum Port Number(None, 1-65535). For ICMP, 0-255. For IP Protocol, None
Example : 22
any of [integer, null]
protocol
required
Security Group Rule Protocol (None, TCP, UDP, ICMP, IP Protocol Number 1-254)
Example : TCP
any of [string, null]
remote_group_id
required
Security Group Rule Remote Group ID
Example : 06e5d676-f330-485a-94e9-47ac91cce09a
any of [string, null]
remote_group_name
optional
Security Group Rule Remote Group Name
Example : ExampleSG2
any of [string, null]
remote_ip_prefix
required
Security Group Rule Remote IP Address
Example : 1.1.1.1/32
any of [string, null]
security_group_id
required
Security Group ID
Example : 06e5d676-f330-485a-94e9-47ac91cce09a
string

2.12 - SecurityGroupRuleCreateRequest

NameDescriptionSchemaDefault
description
optional
Security Group Rule Description
Example : Example Description for Security Group Rule
any of [string, null]
direction
required
Security Group Rule Direction (Ingress, Egress)
Example : Ingress
string
ethertype
optional
Security Group Rule Ethertype (IPV4)
Example : IPv4
any of [string, null]IPv4
port_range_max
optional
Security Group Rule Maximum Port Number(None/1-65535). For ICMP and IP Protocol, None
Example : 22
any of [integer, null]
port_range_min
optional
Security Group Rule Minimum Port Number(None, 1-65535). For ICMP, 0-255. For IP Protocol, None
Example : 22
any of [integer, null]
protocol
optional
Security Group Rule Protocol (None, TCP, UDP, ICMP, IP Protocol Number 1-254)
Example : TCP
any of [string, null]
remote_group_id
optional
Security Group Rule Remote Group ID
Example : 06e5d676-f330-485a-94e9-47ac91cce09a
any of [string, null]
remote_ip_prefix
optional
Security Group Rule Remote IP Address
Example : 1.1.1.1/32
any of [string, null]
security_group_id
required
Security Group ID
Example : 06e5d676-f330-485a-94e9-47ac91cce09a
string

2.13 - SecurityGroupRuleCreateRequestV1Dot1

NameDescriptionSchemaDefault
description
optional
Security Group Rule Description
Example : Example Description for Security Group Rule
any of [string, null]
direction
required
Security Group Rule Direction (Ingress, Egress)
Example : Ingress
string
ethertype
optional
Security Group Rule Ethertype (IPV4)
Example : IPv4
any of [string, null]IPv4
port_range_max
optional
Security Group Rule Maximum Port Number(None/1-65535). For ICMP and IP Protocol, None
Example : 22
any of [integer, null]
port_range_min
optional
Security Group Rule Minimum Port Number(None, 1-65535). For ICMP, 0-255. For IP Protocol, None
Example : 22
any of [integer, null]
protocol
optional
Security Group Rule Protocol (None, TCP, UDP, ICMP, IP Protocol Number 1-254)
Example : TCP
any of [string, null]
remote_address_group_id
optional
Security Group Rule Address Group ID
Example : 4b18494930bf4c5dbb97a9eb2ef68fe1
any of [string, null]
remote_group_id
optional
Security Group Rule Remote Group ID
Example : 06e5d676-f330-485a-94e9-47ac91cce09a
any of [string, null]
remote_ip_prefix
optional
Security Group Rule Remote IP Address
Example : 1.1.1.1/32
any of [string, null]
security_group_id
required
Security Group ID
Example : 06e5d676-f330-485a-94e9-47ac91cce09a
string

2.14 - SecurityGroupRuleListResponse

NameDescriptionSchemaDefault
count
optional
total count
Example : 20
any of [integer, null]
links
optional
links
Example : [{'href': 'http://scp.samsungsdscloud.com/v1/notices', 'rel': 'self'}]
any of [array[object], null]
security_group_rules
required

array[SecurityGroupRule]

2.15 - SecurityGroupRuleListResponseV1Dot1

NameDescriptionSchemaDefault
count
optional
total count
Example : 20
any of [integer, null]
links
optional
links
Example : [{'href': 'http://scp.samsungsdscloud.com/v1/notices', 'rel': 'self'}]
any of [array[object], null]
security_group_rules
required

array[SecurityGroupRuleV1Dot1]

2.16 - SecurityGroupRuleShowResponse

NameDescriptionSchemaDefault
security_group_rule
required

SecurityGroupRule

2.17 - SecurityGroupRuleShowResponseV1Dot1

NameDescriptionSchemaDefault
security_group_rule
required

SecurityGroupRuleV1Dot1

2.18 - SecurityGroupRuleV1Dot1

NameDescriptionSchemaDefault
created_at
required
Created At
Example : 2024-05-17T00:23:17Z
string (date-time)
created_by
required
Created By
Example : 90dddfc2b1e04edba54ba2b41539a9ac
string
description
required
Security Group Rule Description
Example : Example Description for Security Group Rule
any of [string, null]
direction
required
Security Group Rule Direction (Ingress, Egress)
Example : Ingress
enum (ingress, egress)
ethertype
optional
Security Group Rule Ethertype (IPV4)
Example : IPv4
any of [string, null]IPv4
id
required
Security Group Rule ID
Example : 10d8250e-f4eb-453a-96af-b50b5b514a1a
string
modified_at
required
Modified At
Example : 2024-05-17T00:23:17Z
string (date-time)
modified_by
required
Modified By
Example : 90dddfc2b1e04edba54ba2b41539a9ac
string
port_range_max
required
Security Group Rule Maximum Port Number(None/1-65535). For ICMP and IP Protocol, None
Example : 22
any of [integer, null]
port_range_min
required
Security Group Rule Minimum Port Number(None, 1-65535). For ICMP, 0-255. For IP Protocol, None
Example : 22
any of [integer, null]
protocol
required
Security Group Rule Protocol (None, TCP, UDP, ICMP, IP Protocol Number 1-254)
Example : TCP
any of [string, null]
remote_address_group_id
required
Address Group ID
Example : 4b18494930bf4c5dbb97a9eb2ef68fe1
any of [string, null]
remote_address_group_name
required
Address Group Name
Example : ExampleAG1
any of [string, null]
remote_group_id
required
Security Group Rule Remote Group ID
Example : 06e5d676-f330-485a-94e9-47ac91cce09a
any of [string, null]
remote_group_name
optional
Security Group Rule Remote Group Name
Example : ExampleSG2
any of [string, null]
remote_ip_prefix
required
Security Group Rule Remote IP Address
Example : 1.1.1.1/32
any of [string, null]
security_group_id
required
Security Group ID
Example : 06e5d676-f330-485a-94e9-47ac91cce09a
string

2.19 - SecurityGroupSetRequest

NameDescriptionSchemaDefault
description
optional
Security Group Description
Example : Example Description for Security Group
any of [string, null]
loggable
optional
Security Group Loggable
Example : False
any of [boolean, null]

2.20 - SecurityGroupShowResponse

NameDescriptionSchemaDefault
security_group
required

SecurityGroup

2.21 - Tag

NameDescriptionSchemaDefault
key
required
tag key
Example :
string
value
required
tag value
Example :
string